import { Logger } from '@stackbit/types';
export type Extension = {
    id: number;
    integrationName: string;
    integrationSlug: string;
    lightLogoPath: string;
    darkLogoPath: string;
    createdAt: string;
    updatedAt: string;
    teamInstallationId: number;
    siteId: string;
    dataLayerId: string;
    configurationType: 'create';
    config: Record<string, string>;
    sourceUrl: string;
    name: string;
    hostSiteUrl: string;
    prefix: string;
};
type GetContentSourceParams = {
    siteId: string;
    teamId: string;
    netlifyAccessToken?: string;
    projectId?: string;
    apiSecret?: string;
    logger: Logger;
    baseURL: string;
};
export declare const getRemoteContentSources: ({ siteId, teamId, projectId, netlifyAccessToken, apiSecret, logger, baseURL }: GetContentSourceParams) => Promise<Extension[]>;
export declare const installRemoteContentSources: ({ extensions, appDir, logger }: {
    extensions: Extension[];
    appDir: string;
    logger: Logger;
}) => Promise<{
    path: string;
    id: number;
    config: Record<string, unknown>;
}[]>;
export {};
//# sourceMappingURL=remote-content-source.d.ts.map